List Products
curl --request GET \
--url https://v1.api.altostrat.io/oem/productsimport requests
url = "https://v1.api.altostrat.io/oem/products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://v1.api.altostrat.io/oem/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"slug": "hex-s",
"product_category_id": 5,
"name": "hEX S",
"model": "RB750Gr3",
"short_description": "hEX S is a five port Gigabit Ethernet router for locations where wireless connectivity is not required. Compared to the hEX, the hEX S also features an SFP port and PoE output on the last port.",
"price": 69.95,
"thumbnail": "https://cdn.sdx.altostrat.io/hex_s.jpg",
"archived": false
}
],
"meta": {
"pagination": {
"total": 150,
"per_page": 25,
"current_page": 1,
"last_page": 6,
"prev_page_url": null,
"next_page_url": "https://v1.api.altostrat.io/oem/products?page=2"
}
}
}{
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "The requested product could not be found.",
"doc_url": "https://docs.altostrat.io/errors/resource_not_found"
}Products
List Products
Returns a paginated list of MikroTik products. The list can be filtered by product name or model number, allowing for powerful search and cataloging capabilities.
GET
/
oem
/
products
List Products
Query Parameters
A case-insensitive, partial match search on the product's board name.
A case-insensitive, partial match search on the product's model number.
The page number of the paginated results to retrieve.
Was this page helpful?
⌘I